[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomBitBtn.Loaded

Performs actions needed when the component has been loaded using LCL component streaming.

## Declaration

Source position: buttons.pp line 200

`protected procedure TCustomBitBtn.Loaded; override;`

## Description

Loaded is an overridden method in TCustomBitBtn, and calls the inherited method on entry. It ensures that properties in the class instance are updated when a value other than bkCustom is used in the Kind property. This includes loading the Glyph image and setting values in Caption, ModalResult, Default, Cancel, ImageIndex, and DefaultCaption.

## See also

TCustomBitBtn.Kind |  | Specifies the button kind including the default bitmap and caption for the button control.
TCustomButton.Loaded |  | Performs actions needed when LCL component streaming has been completed.